QGIS Application - Bug report #11512
DBManager layer not projecting properly
2014-10-28 08:38 AM - Gavin Fleming

Status: Closed

Priority: Normal

Assignee:

Category: Projection Support

Affected QGIS version:2.4.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: not reproducable
Crashes QGIS or corrupls data: Copied to github as #: 19782
Description

My Canvas is set to EPSG:4326 and | add this query layer in UTM from DBManager.

select gid,st_simplify(st_transform(the_geom,32733),100) from roads;

It draws close to the original road lines but with a shift of several metres. If | then use the normal methods to set the canvas CRS it draw
perfectly but it doesn't seem to be picking up the full CRS definition or is not implementing it properly upon initial load.

History

#1 - 2014-10-28 09:07 AM - Jiirgen Fischer
- Subject changed from DBManager laye not projecting properly to DBManager layer not projecting properly

#2 - 2014-11-03 03:36 PM - Giovanni Manghi
- Status changed from Open to Feedback
- Category changed from DB Manager to Projection Support

| cannot replicate the issue... anymore. | must admit that | tested a few days ago on 2.4 and seen it (using a piece of OSM data from South Africa), but now
| tested again on 2.6/master on Windows and Linux and it seems ok. PS Of course to compare original and transformed geometries | have not used the

st_simplify function.

#3 - 2015-05-10 05:13 AM - Giovanni Manghi
- Resolution set to not reproducable
- Status changed from Feedback to Closed

closing for lack of feedback.
